Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security.policy
Class UmbrellaGrantPermission

    java.lang.Object
      java.security.Permission
          net.jini.security.policy.UmbrellaGrantPermission

All Implemented Interfaces:
  Guard, Serializable

public final class UmbrellaGrantPermission
extends Permission

Permission that is specially intepreted by `PolicyFileProvider` as shorthand for a `GrantPermission` covering all permissions authorized to a given protection domain. For each protection domain authorized with a set of permissions `ps` that includes an `UmbrellaGrantPermission`, `PolicyFileProvider` adds to `ps` a `GrantPermission` for all permissions in `ps`. All `UmbrellaGrantPermission` instances are equivalent, and have target names and action strings that are the empty string.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`UmbrellaGrantPermission()` Creates a new `UmbrellaGrantPermission`.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(Permission permission)`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UmbrellaGrantPermission

    public UmbrellaGrantPermission()

  Creates a new `UmbrellaGrantPermission`.

Method Detail

### getActions

    public String getActions()

### implies

    public boolean implies(Permission permission)

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved